Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcontrol.ui.wombat
Class Border

    java.lang.Object
      jcontrol.ui.wombat.Component
          jcontrol.ui.wombat.Border

    public class Border

extends Component

Instances of this class provide a border with an optional title.
Possible styles are: simple, round and etched.

(c) Copyright 2005-2007 DOMOLOGIC GmbH

Field Summary
`static int` | `STYLE_ETCHED_BORDER` Rectangular etched border with round corners
`static int` | `STYLE_ROUND_BORDER` Rectangular border with round corners
`static int` | `STYLE_SIMPLE_BORDER` Simple rectangular border

Fields inherited from class jcontrol.ui.wombat.Component
`backgroundColor, COLOR_COMPONENT_BACKGROUND, COLOR_COMPONENT_BACKGROUND_HIGHLIGHTED, COLOR_COMPONENT_DARK_SHADOW, COLOR_COMPONENT_FOREGROUND, COLOR_COMPONENT_FOREGROUND_INACTIVE, COLOR_COMPONENT_HIGHLIGHT_SHADOW, COLOR_COMPONENT_LIGHT_SHADOW, COLOR_COMPONENT_LIST_BACKGROUND, COLOR_COMPONENT_NORMAL_SHADOW, COLOR_COMPONENT_SELECTION_TEXT, COLOR_COMPONENT_SELECTION_TEXT_BACKGROUND, COLOR_COMPONENT_SELECTION_TEXT_BACKGROUND_INACTIVE, COLOR_COMPONENT_SELECTION_TEXT_INACTIVE, eventQueue, font, foregroundColor, frame, height, parent, RESERVED1, RESERVED2, RESERVED3, RESERVED4, RESERVED5, RESERVED6, state, STATE_ABORT_UPDATE, STATE_ANIMATED, STATE_BG_COLOR_SET, STATE_COVERED, STATE_DIRTY_MASK, STATE_DIRTY_PAINTALL, STATE_DIRTY_REPAINT, STATE_DIRTY_UPDATE, STATE_DISABLED, STATE_DISPOSED, STATE_FG_COLOR_SET, STATE_FOCUS, STATE_HEIGHT_FIXED, STATE_NO_REDRAW, STATE_REVALIDATE, STATE_SELECTED, STATE_SIZE_FIXED, STATE_UPDATED, STATE_VISIBLE, STATE_WIDTH_FIXED, transparentColor, width, x, y`

Constructor Summary
`Border(String label, int x, int y, int width, int height, int style)` Creates a border.

Method Summary
`void` | `paint(XGraphics g)` Draws the border.
`void` | `setText(String text)` Sets the title string of this border.

Methods inherited from class jcontrol.ui.wombat.Component
`drawDisabledImage, getFrame, isEnabled, isVisible, isVisibleInternal, redrawInternalAndParent, repaint, repaintAll, safeExec, setBackgroundColor, setBackgroundColorInternal, setBounds, setDirty, setEnabled, setFont, setForegroundColor, setForegroundColorInternal, setParametersInternal, setRedraw, setTransparentColor, setVisible, unsafeExec, update`

Methods inherited from class java.lang.Object
`clone, equals, getClass, notifyAll, toString, wait`

Field Detail

### STYLE_SIMPLE_BORDER

    public static final int STYLE_SIMPLE_BORDER

  Simple rectangular border

  See Also:
    Constant Field Values

### STYLE_ROUND_BORDER

    public static final int STYLE_ROUND_BORDER

  Rectangular border with round corners

  See Also:
    Constant Field Values

### STYLE_ETCHED_BORDER

    public static final int STYLE_ETCHED_BORDER

  Rectangular etched border with round corners

  See Also:
    Constant Field Values

Constructor Detail

### Border

    public Border(String label,
                  int x,
                  int y,
                  int width,
                  int height,
                  int style)

  Creates a border.

  Parameters:
    `label` - The title string of the border or `null`.
    `x` - The x-coordinate of the border's top-left corner.
    `y` - The y-coordinate of the border's top-left corner.
    `width` - The width of the border.
    `height` - The height of the border.
    `style` - The style of the border. Possible values are `STYLE_SIMPLE_BORDER`, `STYLE_ROUND_BORDER` or `STYLE_ETCHED_BORDER`.

Method Detail

### setText

    public void setText(String text)

  Sets the title string of this border.

  Parameters:
    `text` - The new title of the border.

### paint

    public void paint(XGraphics g)

  Draws the border. Don't call this method directly.

  Overrides:
    `paint` in class `Component`
  Parameters:
    `g` - the application's graphics object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD